import time
import board
import usb_hid
from digitalio import DigitalInOut, Direction, Pull
from adafruit_hid.keyboard import Keyboard
from adafruit_hid.keycode import Keycode

# 初始化键盘设备
kbd = Keyboard(usb_hid.devices)

# 设置复制按钮 IO1
button_copy = DigitalInOut(board.IO1)
button_copy.direction = Direction.INPUT
button_copy.pull = Pull.UP

# 设置粘贴按钮 IO6
button_paste = DigitalInOut(board.IO6)
button_paste.direction = Direction.INPUT
button_paste.pull = Pull.UP

while True:
    if not button_copy.value:  # 如果按钮被按下
        kbd.send(Keycode.CONTROL, Keycode.C)  # 发送 ctrl+c
        print('c')
        time.sleep(0.1)  # 防止按键被重复发送
    elif not button_paste.value:  # 如果按钮被按下
        kbd.send(Keycode.CONTROL, Keycode.V)  # 发送 ctrl+c
        print('v')
        time.sleep(0.1)  # 防止按键被重复发送
    time.sleep(0.1)  # 小休眠，避免占用过多 CPU 资源
